> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GLM-5.3

> GLM-5.3：コーディングと長期的なエージェントタスク向けの1Mコンテキストのフラッグシップ推論モデル。

GLM-5.3は、複雑なコーディング、長期的なエージェント処理、サイバーセキュリティ分析向けのZ.aiのフラッグシップ推論モデルです。

以下のエンドポイントを使用し、MixRouteを通じて`glm-5.3`を呼び出します。

## 主な機能

* 1Mコンテキストウィンドウ - 大規模なリポジトリと長時間実行するタスクに対応
* 常時有効の思考 - 推論の強度はlow、high、maxに対応
* エージェント型コーディング - 複雑なソフトウェアエンジニアリングとツールワークフローに最適化
* OpenAI互換 - MixRouteを通じてChat Completionsを使用

## 簡単な使用例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/chat/completions" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "model": "glm-5.3",
      "messages": [
        {"role": "user", "content": "Review this deployment plan and identify the highest-risk rollback gap."}
      ],
      "max_tokens": 256,
      "reasoning_effort": "high"
    }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.chat.completions.create(
        model="glm-5.3",
        messages=[{"role": "user", "content": "Review this deployment plan and identify the highest-risk rollback gap."}],
        max_tokens=256,
        reasoning_effort="high",
    )

    print(response.choices[0].message.content)
    ```
  </Tab>
</Tabs>

## パラメータ

| パラメーター | 型 | 必須 | 説明 |
| - | - | - | - |
| `model` | string | はい | モデルID。`glm-5.3`である必要があります。 |
| `messages` | array | はい | roleとcontentを含む会話メッセージ。 |
| `max_tokens` | integer | いいえ | 生成するトークンの最大数。 |
| `stream` | boolean | いいえ | SSEストリーミングを有効にします。 |
| `reasoning_effort` | string | いいえ | 対応している場合の推論強度。サポートされる値: `low`、`high`、`max`。 |
| `tools` | array | いいえ | OpenAI互換のツール定義。 |

## ベンダーの参考資料

* [Z.aiのGLM-5.3発表](https://z.ai/blog/glm-5.3)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.